System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.ProfilePropertySettings), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The profile section of the configuration file specifies a schema for user profiles. At run time, the ASP.NET compilation system uses the information specified in the profile section to generate a class called ProfileCommon, which is derived from . The ProfileCommon class definition is based on the properties defined in the properties subsection of the profile section of the configuration file. An instance of this class is created for each user profile, and you can access the individual profile values in your code through the property. For more information about profile properties, see Understanding ASP.NET Profile Properties. For more information about the profile features added to vstecasplong, see ASP.NET Profile Properties Overview.

Contains a set of objects.

- Constructor
  To be added.

  Creates a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain a object with the same name.

  Adds a object to the collection.

  A object to add to the collection. 2.0.0.0
- Property
  System.String[] To be added. To be added.

  Returns an array containing the names of all the objects contained in the collection.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the <clear> element is valid as a object.

  2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the appropriate section of the current configuration file are removed.

  Removes all objects from the collection.

  2.0.0.0
- Property
  System.Configuration.ConfigurationElementCollectionType To be added. To be added. To be added. 2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.Configuration.ProfilePropertySettings `` To be added.

  Returns the object at the specified index.

  The object at the specified index, or null if there is no object at that index.

  The index of the to get. 2.0.0.0
- Method
  System.Web.Configuration.ProfilePropertySettings `` To be added.

  Returns the object with the specified name.

  The object with the specified name, or null if the name does not exist.

  The name of the to get. 2.0.0.0
- Method
  System.Object `` To be added.

  Gets the key for the specified configuration element.

  The name of the element.

  A in the collection. 2.0.0.0
- Method
  System.String ``

  An object at the index must exist in the collection.

  Gets the name of the at the specified index location.

  The name of the at the specified index location.

  The index of a in the collection. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Returns the index of the specified object.

  The index of the specified object, or -1 if the object is not found in the collection.

  A object in the collection. 2.0.0.0
- Property
  System.Web.Configuration.ProfilePropertySettings `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  2.0.0.0
  System.Web.Configuration.ProfilePropertySettings `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Boolean `` ``

  This implementation of throws specialized errors if the element name is either "clear" or "group". After checking for these conditions, the method then explicitly calls its base implementation, the method.

  Handles the reading of unrecognized configuration elements from a configuration file and causes the configuration system to throw an exception if the element cannot be handled.

  true if the unrecognized element was deserialized successfully; otherwise, false.

  The name of the unrecognized element. An input stream that reads XML from the configuration file.
- Property
  2.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a collection of configuration properties.

- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection.

  The name of a object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object at the specified index location from the collection.

  The index of a object in the collection. 2.0.0.0
- Method
  System.Void ``

  Calling this method has the same effect as calling the method.

  Adds the specified object to the collection.

  A object. 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether an error should be thrown if an attempt to create a duplicate object is made.

  2.0.0.0